SystemOrganization addCategory: #ConfigurationOfOmniBrowser!

Object subclass: #ConfigurationOfOmniBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOmniBrowser'!

!ConfigurationOfOmniBrowser commentStamp: 'StephaneDucasse 9/30/2011 11:48' prior: 0!
(ConfigurationOfOmniBrowser project version: '1.3') load

(ConfigurationOfOmniBrowser project version: '1.3') load: 'Dev'!

!ConfigurationOfOmniBrowser class methodsFor: 'private' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfOmniBrowser class methodsFor: 'private' stamp: 'MarianoMartinezPeck 12/30/2009 17:56'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfOmniBrowser class methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
project

	^self new project! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 1/9/2010 16:30'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Refactoring-Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ).].
			
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser')];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic')];
			package: 'BogusInfo';
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo')];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion'; 
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')].	
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			
			yourself.	
				
			
	]! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 7/17/2010 14:23'!
baseline11: spec 
	<version: '1.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.lukas-renggli.ch/omnibrowser'.
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Refactoring-Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ).].
			
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion'; 
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')].	
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			
			yourself.	
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.

		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			yourself.

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core Tests' with: #('Core'); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' );	
			group: 'Dev Tests' with: #('Dev');
			
			yourself.	
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'GuillermoPolito 1/11/2011 18:04'!
baseline121: spec 
	<version: '1.2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic'). ];
			package: 'OCForOB' with: [ spec requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.lukas-renggli.ch/omnibrowser'.
		
		spec package: 'OB-Standard' with: [ 
			spec 
				repository: 'http://www.squeaksource.com/PharoTaskForces';
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo12 ];
			yourself.
		spec package: 'OB-Morphic' with: [ 
				spec repository: 'http://www.squeaksource.com/PharoTaskForces'.];
			package: 'OB-Shout' with: [ 
				spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
				spec postLoadDoIt: #postLoadOBShoutPharo12  ];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/PharoTaskForces']
			].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'tbn 2/3/2011 12:07'!
baseline123: spec 
	<version: '1.2.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic'). ];
			package: 'OCForOB' with: [ spec requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.lukas-renggli.ch/omnibrowser'.
		
		spec package: 'OB-Standard' with: [ 
			spec 
				repository: 'http://www.squeaksource.com/PharoTaskForces';
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo12 ];
			yourself.
		spec package: 'OB-Morphic' with: [ 
				spec repository: 'http://www.squeaksource.com/PharoTaskForces'.];
			package: 'OB-Shout' with: [ 
				spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
				spec postLoadDoIt: #postLoadOBShoutPharo12  ];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion']
			].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'tfel 1/7/2012 21:21'!
baseline124: spec 
	<version: '1.2.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic'). ];
			package: 'OCForOB' with: [ spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/PharoOB'.
		
		spec package: 'OB-Standard' with: [ 
			spec
				requires: #('OmniBrowser' 'OB-Morphic' ) ].
		spec 
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion']
			].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'tfel 1/7/2012 21:21'!
baseline125: spec 
	<version: '1.2.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard';
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic' ) ];
			package: 'OCForOB' with: [ spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/PharoOB'.
		
		spec package: 'OB-Standard' with: [ 
			spec 
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo12].
			
		spec package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion']
			].
		
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'tfel 10/28/2010 19:12'!
baseline12: spec 
	<version: '1.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic') ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion'; 
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.lukas-renggli.ch/omnibrowser'.
		
		spec package: 'OB-Standard' with: [ 
			spec 
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo12 ];			
			yourself.
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'EstebanLorenzano 6/12/2012 10:14'!
baseline13: spec 
	<version: '1.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
				project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard';
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic' ) ];
			package: 'OCForOB' with: [ spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'OB-Tests-Refactory' with: [ spec requires: #( 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Dev' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/PharoOB'.
		
		spec package: 'OB-Standard' with: [ 
			spec 
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo13].
	].
		
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			package: 'VB-Regex' with: [ spec repository: 'http://www.squeaksource.com/Regex' ].
		spec 
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			yourself.
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'EstebanLorenzano 6/13/2012 18:04'!
baseline14: spec 
	<version: '1.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
				project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ) ].
				
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard';
			package: 'OB-Shout' with: [ spec requires: #('OB-Standard' 'OB-Morphic' ) ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OB-Standard' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Refactory')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'OB-Tests-Refactory' with: [ spec requires: #( 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )].
		spec
			group: 'default' with: #('Dev' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core RB' with: #( 'Core' 'OB-Refactory' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			yourself.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/PharoOB'.
		spec package: 'OB-Standard' with: [ 
			spec 
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandardPharo13] ].
		
	spec for: #'pharo1.3.x' do: [
		spec package: 'OCForOB' with: [ 
			spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard') ] ].
		
	spec for: #'pharo1.4.x' do: [
		spec package: 'OCForOB' with: [ 
			spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OmniBrowser' 'OB-Standard') ] ].

	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec package: 'OCForOB' with: [ 
			spec
				repository: 'http://www.squeaksource.com/OCompletion';
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard') ]. 
		spec package: 'VB-Regex' with: [ 
			spec repository: 'http://www.squeaksource.com/Regex' ].
		spec package: 'OB-Standard' with: [ 
			spec 
				requires: #('OmniBrowser' 'OB-Morphic' );
				postLoadDoIt: #postLoadOBStandard ] ].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 4/15/2011 14:08'!
postLoadOBShoutPharo12
	Smalltalk at: #OBTextMorphEditorWithShout ifPresent: [(Smalltalk at: #OBTextMorphEditorWithShout) initialize]! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 5/20/2010 13:21'!
postLoadOBStandard

	Smalltalk at: #SystemBrowser ifPresent: [:cl | cl default: (Smalltalk classNamed: #OBSystemBrowserAdaptor)].
	Preferences enable: #mercuryPanel.! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'EstebanLorenzano 6/12/2012 10:02'!
postLoadOBStandardPharo12

	Smalltalk at: #SystemBrowser ifPresent: [:cl | cl default: (Smalltalk classNamed: #OBSystemBrowserAdaptor)].
	(Smalltalk at: #OBCodeBrowser) mercuryPanelEnabled: true.! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'EstebanLorenzano 6/12/2012 10:02'!
postLoadOBStandardPharo13

	Smalltalk at: #SystemBrowser ifPresent: [:cl | cl default: (Smalltalk classNamed: #OBSystemBrowserAdaptor)].
	(Smalltalk at: #OBCodeBrowser) mercuryPanelEnabled: true.! !

!ConfigurationOfOmniBrowser methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfOmniBrowser methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 7/6/2012 15:34'!
stable: spec
    <symbolicVersion: #'stable'>
    spec for: #'pharo1.0.x' version: '1.1.1'.
    spec for: #'pharo1.1.x' version: '1.1.5'.
    spec for: #'pharo1.2.x' version: '1.2.3'.
    spec for: #'pharo1.3' version: '1.3'.
    spec for: #'pharo1.3.x' version: '1.3'.
    spec for: #'pharo1.4.x' version: '1.4.2'.
    spec for: #'squeak' version: '1.1'.
    spec for: #'squeak4.x' version: '1.2.4'.! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'dkh 2/26/2011 16:43'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'The version 1.0 was broken because someone remove a version from the repository. This version fix that.'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'OCompletion' with: #stable;
			project: 'OCompletion Tests' with: #stable;
			project: 'Refactoring-Core' with: '1.0';
			project: 'Refactoring Tests' with: '1.0'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.458';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.110';
			package: 'OB-Standard' with: 'OB-Standard-DamienCassou.438';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.180';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.16';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-cwp.72';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-cwp.19';
			package: 'BogusInfo' with: 'BogusInfo-cwp.17';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-cwp.95';
			package: 'OCForOB' with: 'OCForOB-rr.2'.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/29/2010 23:47'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #broken.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'First release 1.0 of this project '.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.0'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-DamienCassou.462';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.110';
			package: 'OB-Standard' with: 'OB-Standard-DamienCassou.438';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.180';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.16';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-cwp.72';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-cwp.19';
			package: 'BogusInfo' with: 'BogusInfo-cwp.17';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-cwp.95';
			package: 'OCForOB' with: 'OCForOB-rr.2'.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 16:03'!
version111: spec
	<version: '1.1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Getting more tests green
		- Fixes to Pharo issues 1748, 1670, 1667, 1705, 1667, 1891
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'OCompletion' with: '1.1';
			project: 'OCompletion Tests' with: '1.1';
			project: 'Refactoring-Core' with: '1.2';
			project: 'Refactoring Tests' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 16:03'!
version112: spec
	<version: '1.1.2' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Getting more tests green
		- Fixes to Pharo issues 1748, 1670, 1667, 1705, 1667, 1891
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'OCompletion' with: '1.1';
			project: 'OCompletion Tests' with: '1.1';
			project: 'Refactoring-Core' with: '1.2';
			project: 'Refactoring Tests' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.460';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.203';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 14:41'!
version113: spec
	<version: '1.1.3' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Fixes to Pharo issues 2274:
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'OCompletion' with: '1.1';
			project: 'OCompletion Tests' with: '1.1';
			project: 'Refactoring-Core' with: '1.2';
			project: 'Refactoring Tests' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.463';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.203';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.110';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 15:59'!
version114: spec
	<version: '1.1.4' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Alexandre Bergel'.
		spec description: ''.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.4';
			project: 'Refactoring Tests' with: '1.4';
			project: 'OCompletion' with: '1.1.1';
			project: 'OCompletion Tests' with: '1.1.1'.
			
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.481';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.129';
			package: 'OB-Standard' with: 'OB-Standard-lr.478';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.213';
			package: 'OB-Regex' with: 'OB-Regex-lr.23';
			package: 'OB-Shout' with: 'OB-Shout-lr.6';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.30';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.27';
			package: 'BogusInfo' with: 'BogusInfo-lr.21';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.112';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 15:59'!
version115: spec
	<version: '1.1.5' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Mariano Martinez Peck'.
		spec description: ''.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.5';
			project: 'Refactoring Tests' with: '1.5';
			project: 'OCompletion' with: '1.1.2';
			project: 'OCompletion Tests' with: '1.1.2'.
			
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.482';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.130';
			package: 'OB-Standard' with: 'OB-Standard-lr.479';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.216';
			package: 'OB-Regex' with: 'OB-Regex-lr.23';
			package: 'OB-Shout' with: 'OB-Shout-lr.6';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.30';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.27';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.112';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'dkh 2/26/2011 16:39'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Move to Lukas Renggli repository.
		- New tests and bug fixes '.
	].
	
	spec for: #pharo do: [
		spec
			project: 'OCompletion' with: #stable;
			project: 'OCompletion Tests' with: #stable;
			project: 'Refactoring-Core' with: '1.1';
			project: 'Refactoring Tests' with: '1.1'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.458';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.112';
			package: 'OB-Standard' with: 'OB-Standard-lr.442';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.194';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.22';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.77';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.23';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.100';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.12'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 16:00'!
version121: spec
	<version: '1.2.1' imports: #('1.2-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Guillermo Polito'.
		spec description: ''.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2.1';
			project: 'OCompletion Tests' with: '1.2.1'.
	].
	
	spec for: #pharo do: [
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.493';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.145';
			package: 'OB-Standard' with: 'OB-Standard-lr.511';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.232';
			package: 'OB-Regex' with: 'OB-Regex-lr.24';
			package: 'OB-Shout' with: 'OB-Shout-lr.8';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.37';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.123';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'DaleHenrichs 12/16/2010 16:00'!
version122: spec
	<version: '1.2.2' imports: #('1.2.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Guillermo Polito'.
		spec description: ''.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2.2';
			project: 'OCompletion Tests' with: '1.2.2'.
	].
	
	spec for: #pharo do: [
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.493';
			package: 'OB-Morphic' with: 'OB-Morphic-GuillermoPolito.146';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.512';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.232';
			package: 'OB-Regex' with: 'OB-Regex-lr.24';
			package: 'OB-Shout' with: 'OB-Shout-GuillermoPolito.10';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.37';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.123';
			package: 'OCForOB' with: 'OCForOB-GuillermoPolito.4';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'GuillermoPolito 2/4/2011 01:21'!
version123: spec
	<version: '1.2.3' imports: #('1.2.3-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Guillermo Polito'.
		spec description: 'Merged a lot of fixes from lukas repository'.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2.2';
			project: 'OCompletion Tests' with: '1.2.2'.
	].
	
	spec for: #pharo do: [
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.503';
			package: 'OB-Morphic' with: 'OB-Morphic-GuillermoPolito.153';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.529';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.244';
			package: 'OB-Regex' with: 'OB-Regex-lr.25';
			package: 'OB-Shout' with: 'OB-Shout-JohanBrichau.12';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.39';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.88';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.126';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarcusDenker 3/21/2011 14:57'!
version124: spec
	<version: '1.2.4' imports: #('1.2.4-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Guillermo Polito'.
		spec description: 'Merged a lot of fixes from lukas repository'.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2.2';
			project: 'OCompletion Tests' with: '1.2.2'.
	].
	
	spec for: #pharo do: [
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-StephaneDucasse.504';
			package: 'OB-Morphic' with: 'OB-Morphic-MarcusDenker.154';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.531';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.244';
			package: 'OB-Regex' with: 'OB-Regex-lr.25';
			package: 'OB-Shout' with: 'OB-Shout-GuillermoPolito.13';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.39';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.88';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.126';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'dkh 6/3/2011 14:09'!
version125: spec
	<version: '1.2.5' imports: #('1.2-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'MarcusDenker'.
		spec description: 'Use 1.2.4 for Pharo1.2.x --- see Issue 4337 (http://code.google.com/p/pharo/issues/detail?id=4337).
If you need to use version 1.2.5, start with a copy of 1.2.4 and update accordingly'.
	].
	
	spec for: #pharo do: [
		
		spec
			project: 'Refactoring-Core' with: '1.7';
			project: 'Refactoring Tests' with: '1.7';
			project: 'OCompletion' with: '1.3';
			project: 'OCompletion Tests' with: '1.3'.
	
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.512';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.164';
			package: 'OB-Standard' with: 'OB-Standard-lr.541';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.248';
			package: 'OB-Regex' with: 'OB-Regex-lr.25';
			package: 'OB-Shout' with: 'OB-Shout-lr.13';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.42';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.91';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.30';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.129';
			package: 'OB-Tests-Refactory' with: 'OB-Tests-Refactory-lr.23';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.15'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2.2';
			project: 'OCompletion Tests' with: '1.2.2'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'LaurentLaffont 1/30/2011 20:06'!
version12: spec
	<version: '1.2' imports: #('1.2-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Mariano Martinez Peck'.
		spec description: ''.
	].

	spec for: #squeakCommon do: [
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.2';
			project: 'OCompletion Tests' with: '1.2'.
	].
	
	spec for: #pharo do: [
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.493';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.145';
			package: 'OB-Standard' with: 'OB-Standard-lr.511';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.232';
			package: 'OB-Regex' with: 'OB-Regex-lr.24';
			package: 'OB-Shout' with: 'OB-Shout-lr.8';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.37';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.123';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'StephaneDucasse 9/30/2011 11:11'!
version13: spec
	<version: '1.3' imports: #('1.3-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Stephane Ducasse'.
		spec description: 'Updating it to use latest Lukas Renggli enhancement for Pharo 1.3'.
	].
	
	spec for: #pharo do: [
		
		spec
			project: 'Refactoring-Core' with: '1.7';
			project: 'Refactoring Tests' with: '1.7';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
	
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.514';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.164';
			package: 'OB-Standard' with: 'OB-Standard-lr.548';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.257';
			package: 'OB-Regex' with: 'OB-Regex-lr.30';
			package: 'OB-Shout' with: 'OB-Shout-lr.16';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.42';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.91';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.30';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.129';
			package: 'OB-Tests-Refactory' with: 'OB-Tests-Refactory-lr.23';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.15'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'EstebanLorenzano 7/4/2012 16:07'!
version141: spec
	<version: '1.4.1' imports: #('1.4-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'EstebanLorenzano'.
		spec description: 'using new OCompletion'.
	].
	
	spec for: #pharo do: [
		
		spec
			project: 'Refactoring-Core' with: '2.0.1';
			project: 'Refactoring Tests' with: '2.0.1';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
	
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-GuillermoPolito.515';
			package: 'OB-Morphic' with: 'OB-Morphic-GuillermoPolito.168';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.551';
			package: 'OB-Refactory' with: 'OB-Refactory-GuillermoPolito.258';
			package: 'OB-Regex' with: 'OB-Regex-lr.30';
			package: 'OB-Shout' with: 'OB-Shout-lr.16';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.43';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-GuillermoPolito.92';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.30';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-GuillermoPolito.130';
			package: 'OB-Tests-Refactory' with: 'OB-Tests-Refactory-lr.25';
			package: 'BogusInfo' with: 'BogusInfo-GuillermoPolito.23';
			package: 'OCForOB' with: 'OCForOB-EstebanLorenzano.6';
			package: 'OB-Fake' with: 'OB-Fake-lr.15'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'EstebanLorenzano 7/6/2012 15:33'!
version142: spec
	<version: '1.4.2' imports: #('1.4-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'EstebanLorenzano'.
		spec description: 'using new OCompletion'.
	].
	
	spec for: #pharo do: [
		
		spec
			project: 'Refactoring-Core' with: '2.0.1';
			project: 'Refactoring Tests' with: '2.0.1';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
	
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-EstebanLorenzano.516';
			package: 'OB-Morphic' with: 'OB-Morphic-GuillermoPolito.168';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.551';
			package: 'OB-Refactory' with: 'OB-Refactory-EstebanLorenzano.259';
			package: 'OB-Regex' with: 'OB-Regex-lr.30';
			package: 'OB-Shout' with: 'OB-Shout-lr.16';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-EstebanLorenzano.44';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-GuillermoPolito.92';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.30';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-GuillermoPolito.130';
			package: 'OB-Tests-Refactory' with: 'OB-Tests-Refactory-lr.25';
			package: 'BogusInfo' with: 'BogusInfo-GuillermoPolito.23';
			package: 'OCForOB' with: 'OCForOB-EstebanLorenzano.7';
			package: 'OB-Fake' with: 'OB-Fake-lr.15'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'GuillermoPolito 4/2/2012 11:58'!
version14: spec
	<version: '1.4' imports: #('1.3-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Guillermo Polito'.
		spec description: 'for Pharo 1.4'.
	].
	
	spec for: #pharo do: [
		
		spec
			project: 'Refactoring-Core' with: '2.0';
			project: 'Refactoring Tests' with: '2.0';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
	
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-GuillermoPolito.515';
			package: 'OB-Morphic' with: 'OB-Morphic-GuillermoPolito.168';
			package: 'OB-Standard' with: 'OB-Standard-GuillermoPolito.551';
			package: 'OB-Refactory' with: 'OB-Refactory-GuillermoPolito.258';
			package: 'OB-Regex' with: 'OB-Regex-lr.30';
			package: 'OB-Shout' with: 'OB-Shout-lr.16';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.43';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-GuillermoPolito.92';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.30';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-GuillermoPolito.130';
			package: 'OB-Tests-Refactory' with: 'OB-Tests-Refactory-lr.25';
			package: 'BogusInfo' with: 'BogusInfo-GuillermoPolito.23';
			package: 'OCForOB' with: 'OCForOB-ul.5';
			package: 'OB-Fake' with: 'OB-Fake-lr.15'.	
	].

	spec for: #squeak do: [
		spec author: ''.
		spec description: 'Works with Squeak 4.2 Alpha #106284.'.
		
		spec
			project: 'Refactoring-Core' with: '1.6';
			project: 'Refactoring Tests' with: '1.6';
			project: 'OCompletion' with: '1.4';
			project: 'OCompletion Tests' with: '1.4'.
		
		spec
			package: 'VB-Regex' with: 'VB-Regex-damienpollet.17';
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.471';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.117';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.85';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.29';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14';
			yourself.
	] ! !
